summaryrefslogtreecommitdiff
path: root/dev-python/python-gnupg/python-gnupg-0.5.7.ebuild
diff options
context:
space:
mode:
authorCrucible <crucible@localhost>2026-09-30 03:05:07 -0500
committerCrucible <crucible@localhost>2026-09-30 03:05:07 -0500
commit9c4e6e8fed8999df35813182c3b9577d541394e0 (patch)
tree2466b7bb1ca606d88c3191c59d1b1c0a3b87e398 /dev-python/python-gnupg/python-gnupg-0.5.7.ebuild
parentc5a9b07f13fb47e9869f0433ea92068acfe47038 (diff)
downloadsrcux-develop.tar.gz
srcux-develop.tar.xz
srcux-develop.zip
Publish srcux candidate 0000000524-20260930-030309HEADdevelop
Diffstat (limited to 'dev-python/python-gnupg/python-gnupg-0.5.7.ebuild')
-rw-r--r--dev-python/python-gnupg/python-gnupg-0.5.7.ebuild51
1 files changed, 51 insertions, 0 deletions
diff --git a/dev-python/python-gnupg/python-gnupg-0.5.7.ebuild b/dev-python/python-gnupg/python-gnupg-0.5.7.ebuild
new file mode 100644
index 000000000000..b6fffdf7c3a5
--- /dev/null
+++ b/dev-python/python-gnupg/python-gnupg-0.5.7.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi verify-sig
+
+DESCRIPTION="A Python wrapper for GnuPG"
+HOMEPAGE="
+ https://docs.red-dove.com/python-gnupg/
+ https://github.com/vsajip/python-gnupg/
+ https://pypi.org/project/python-gnupg/
+"
+# the download is the same as pypi sdist
+SRC_URI+="
+ https://github.com/vsajip/python-gnupg/releases/download/${PV}/${P/-/_}.tar.gz
+ verify-sig? (
+ https://github.com/vsajip/python-gnupg/releases/download/${PV}/${P/-/_}.tar.gz.asc
+ )
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+# Need gnupg[nls] for avoiding decode errors and possible hangs
+# w/ e.g. sec-keys/openpgp-keys-gentoo-developers but other pkgs too.
+DEPEND="
+ || (
+ app-alternatives/gpg[nls,reference]
+ app-alternatives/gpg[nls,freepg(-)]
+ )
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ verify-sig? ( sec-keys/openpgp-keys-vinaysajip )
+"
+
+distutils_enable_tests unittest
+
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/vinaysajip.asc
+
+python_test() {
+ # NO_EXTERNAL_TESTS must be enabled to disable network tests.
+ NO_EXTERNAL_TESTS=1 eunittest
+}